	LIST p=PIC16F628A
	#include P16F628A.INC
	__CONFIG 0x2102
;==============================

	org 0x00
	goto Initial_PIC
	org 0x04
	goto Interrupt
	org 0x05
;=============================
Interrupt:
	bcf STATUS, RP0
	btfsc PIR1, CMIF
	goto CompDefine
End_Interrupt:
	bcf PIR1, CMIF	
	retfie
;=============================
Initial_PIC
	clrf PORTA
	clrf PORTB

	bsf STATUS, RP0
	clrf TRISB
	bsf INTCON, PEIE
	movlw 0xFF
	movwf VRCON
	bsf PIE1, CMIE
	bcf STATUS, RP0
	movlw 0x32
	movwf CMCON
	clrf PIR1
	bsf INTCON, GIE

	
watch:
	nop
	goto watch


;-----------------------------
CompDefine:
	btfsc CMCON, C1OUT
	bsf PORTB, 0
	btfss CMCON, C1OUT
	bcf PORTB,0
	
	btfsc CMCON, C2OUT
	bsf PORTB, 1
	btfss CMCON, C2OUT
	bcf PORTB,1
	goto End_Interrupt
;------------------------------

;-----------------------------
;=============================
	end